# SPEC file for nomadsync, primary target is the Fedora Extras
# RPM repository.
#
# For testing a certain distribution, rely on macros that
# you define in your ".rpmmacros" file. For example, for
# test building a Fedora Extras package, define the following
# two macros in .rpmmacros:
#
# %dist .fc4
# %fedora 4
#

Name:		nomadsync
Version:	0.4.2
Release:	3%{?dist}
Summary:	A music synchronization program form portable audio players
URL:		http://nomadsync.sourceforge.net/

Group:		Applications/Multimedia
Source0:	http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}.desktop.added
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
License:	GPL
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires:	libusb-devel
BuildRequires:	libnjb-devel
BuildRequires:	wxGTK-devel
BuildRequires:	id3lib-devel
BuildRequires:	gawk
BuildRequires:	desktop-file-utils

%description
This package provides an application to synchronize music trees
with Creative NOMAD Jukebox, Creative Zen and Dell DJ line of 
MP3 players.

%prep
%setup -q
# This file needs to be created to be patched...
#touch nomadsync.desktop
%patch0

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# Install that icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -p -m 644 doc/camelHead.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/nomadsync-logo.png
# Add distro-specifics to .desktop file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install \
  --vendor fedora \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
  --add-category X-Fedora \
  %{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database %{_datadir}/applications &> /dev/null

%postun
if [ "$1" = "0" ]; then
  update-desktop-database %{_datadir}/applications &> /dev/null
fi

%files
%defattr(-, root, root)
%{_bindir}/nomadsync
%{_datadir}/pixmaps/nomadsync-logo.png
%{_datadir}/applications/*.desktop
%doc ChangeLog authors copying readme install

%changelog
* Sat Oct 15 2005 Linus Walleij <triad@df.lth.se> 0.4.2-3
- Added a desktop file.

* Fri Oct 14 2005 Linus Walleij <triad@df.lth.se> 0.4.2-2
- Tweaks and fixes to dependencies.

* Thu Oct 06 2005 Brent Norris <brent@linux.wku.edu> 0.4.2-1
- First RPM'ed
